AbstractGrailsControllerUrlMappings (Grails 6.0.0)

Package: org.grails.web.mapping.mvc

## [Groovy] Class AbstractGrailsControllerUrlMappings

- org.grails.web.mapping.mvc.AbstractGrailsControllerUrlMappings

- All Implemented Interfaces and Traits:
    UrlMappings

      @groovy.transform.CompileStatic
      abstract class AbstractGrailsControllerUrlMappings
      extends java.lang.Object
      implements UrlMappings

  A UrlMappingsHolder implementation that matches URLs directly onto controller instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `AbstractGrailsControllerUrlMappings.ControllerKey` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass>` | `deferredMappings` |
    `private java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass>` | `mappingsToGrailsControllerMap` |
    `private UrlConverter` | `urlConverter` |
    `private UrlMappings` | `urlMappingsHolderDelegate` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass>` | `deferredMappings`
    `java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass>` | `mappingsToGrailsControllerMap`
    `UrlConverter` | `urlConverter`
    `UrlMappings` | `urlMappingsHolderDelegate`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractGrailsControllerUrlMappings (GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Collection<UrlMapping>` | `addMappings(groovy.lang.Closure mappings)`
    `` | `java.util.Set<org.springframework.http.HttpMethod>` | `allowedMethods(java.lang.String uri)`
    `` | `protected UrlMappingInfo` | `collectControllerMapping(UrlMappingInfo info)`
    `` | `protected UrlMappingInfo[]` | `collectControllerMappings(UrlMappingInfo[] infos)`
    `` | `java.util.List` | `getExcludePatterns()`
    `` | `UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.lang.String version, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)`
    `` | `UrlCreator` | `getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.lang.String version, java.util.Map params)`
    `` | `UrlMappingInfo` | `match(java.lang.String uri)`
    `` | `UrlMappingInfo` | `matchStatusCode(int responseCode)`
    `` | `UrlMappingInfo` | `matchStatusCode(int responseCode, java.lang.Throwable e)`
    `` | `void` | `registerController(GrailsControllerClass controller)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass> deferredMappings

    - #### private java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass> mappingsToGrailsControllerMap

    - #### private UrlConverter urlConverter

    - #### private UrlMappings urlMappingsHolderDelegate

  - ### Property Detail

    - #### java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass> deferredMappings

    - #### java.util.concurrent.ConcurrentHashMap<ControllerKey, GrailsControllerClass> mappingsToGrailsControllerMap

    - #### UrlConverter urlConverter

    - #### UrlMappings urlMappingsHolderDelegate

  - ### Constructor Detail

    - #### AbstractGrailsControllerUrlMappings(GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)

  - ### Method Detail

    - #### java.util.Collection<UrlMapping> addMappings(groovy.lang.Closure mappings)

    - #### java.util.Set<org.springframework.http.HttpMethod> allowedMethods(java.lang.String uri)

    - #### protected UrlMappingInfo collectControllerMapping(UrlMappingInfo info)

    - #### protected UrlMappingInfo[] collectControllerMappings(UrlMappingInfo[] infos)

    - #### @java.lang.Override java.util.List getExcludePatterns()

    - #### @java.lang.Override UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.lang.String version, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)

    - #### @java.lang.Override UrlCreator getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.lang.String version, java.util.Map params)

    - #### @java.lang.Override UrlMappingInfo match(java.lang.String uri)

    - #### @java.lang.Override UrlMappingInfo matchStatusCode(int responseCode)

    - #### @java.lang.Override UrlMappingInfo matchStatusCode(int responseCode, java.lang.Throwable e)

    - #### void registerController(GrailsControllerClass controller)